package com.sunyard.ssp.modules.sysconf.dict.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunyard.ssp.common.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author fyc
 * @since 2020-03-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("SC_DICT_DATA")
@ApiModel(value="", description="")
public class ScDictData extends PageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
//    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 备注
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 所属字典
     */
    @TableField("DICT_ID")
    private Long dictId;

    /**
     * 排序值
     */
    @TableField("SORT_ORDER")
    private Double sortOrder;

    /**
     * 是否启用 0启用 -1禁用
     */
    @TableField("STATUS")
    private Long status;

    /**
     * 数据名称
     */
    @TableField("TITLE")
    private String title;

    /**
     * 数据值
     */
    @TableField("VALUE")
    private String value;


}
